Contents

GET /public-accounts#

Show those accounts whose histories are publicly visible. For example, accounts from donation receivers. As such, this request is unauthenticated.

Request:

Query Parameters:
  • limitOptional. At most return the given number of results. Negative for descending by row_id, positive for ascending by row_id. Defaults to -20. Since v5.

  • offsetOptional. Starting row_id for pagination. Since v5.

  • filter_nameOptional. Pattern to filter on the account’s legal name. Given the filter ‘foo’, all the results will contain ‘foo’ in their legal name. Without this option, all the existing accounts are returned.

  • deltaOptional. Deprecated since v5. Use limit instead.

  • startOptional. Deprecated since v5. Use offset instead.

Response:

200 OK:

Response is a PublicAccountsResponse.

204 No content:

No public account.

Details:

interface PublicAccountsResponse {
  public_accounts: PublicAccount[];
}
interface PublicAccount {
  // Username of the account
  username: string;

  // Full payto URI of this bank account.
  payto_uri: string;

  // Current balance of the account
  balance: Balance;

  // Is this a taler exchange account?
  is_taler_exchange: boolean;

  // Opaque unique ID used for pagination.
  // @since **v4**, will become mandatory in the next version.
  row_id?: Integer;
}